---
- name: Restart OpenTelemetry Collector
  listen: restart_otelcol
  become: true
  ansible.builtin.systemd:
    daemon_reload: true
    name: otelcol
    state: restarted
    enabled: true
  when:
    - not ansible_check_mode

- name: Reload OpenTelemetry Collector
  listen: reload_otelcol
  become: true
  ansible.builtin.systemd:
    name: otelcol
    state: reloaded
  when:
    - not ansible_check_mode

- name: Reload blackbox service discovery files
  listen: reload_blackbox_service_discovery
  delegate_to: localhost
  become: false
  run_once: true
  amazon.aws.lambda_execute:
    name: "{{ observability_blackbox_lambda_function }}"
    access_key: "{{ observability_blackbox_bucket_aws_access_key_id }}"
    secret_key: "{{ observability_blackbox_bucket_aws_secret_key }}"
    region: "{{ observability_blackbox_aws_region }}"
...
